# Interface LengthPrefixedArrayLayoutItem

#### Hierarchy

- ArrayLayoutItemBase
  - LengthPrefixedArrayLayoutItem

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:58

#####
Index

### Properties

binary
layout
lengthEndianness?
lengthSize?

## Properties

### `Readonly` binary

binary: "array"

Inherited from ArrayLayoutItemBase.binary

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:21

### `Readonly` layout

layout: layout.Layout

Inherited from ArrayLayoutItemBase.layout

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:53

### `Optional` `Readonly` lengthEndianness

lengthEndianness?: Endianness

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:60

### `Optional` `Readonly` lengthSize

lengthSize?: NumberSize

- Defined in core/base/dist/esm/utils/layout/layout.d.ts:59

Generated using TypeDoc